Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network30.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
30.0.0.0
Broadcast address
30.127.255.255
First usable
30.0.0.1
Last usable
30.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 1E000000 · Integer 503316480 to 511705087
Reverse DNS zones
0.30.in-addr.arpa
1.30.in-addr.arpa
2.30.in-addr.arpa
3.30.in-addr.arpa
4.30.in-addr.arpa
5.30.in-addr.arpa
6.30.in-addr.arpa
7.30.in-addr.arpa
8.30.in-addr.arpa
9.30.in-addr.arpa
10.30.in-addr.arpa
11.30.in-addr.arpa
12.30.in-addr.arpa
13.30.in-addr.arpa
14.30.in-addr.arpa
15.30.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011110.00000000.00000000.0000000030.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00011110.00000000.00000000.0000000030.0.0.0
Broadcast00011110.01111111.11111111.1111111130.127.255.255
Split into smaller subnets/16

30.0.0.0/9 makes 128 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
130.0.0.0/1630.0.0.1 to 30.0.255.25430.0.255.25565,534
230.1.0.0/1630.1.0.1 to 30.1.255.25430.1.255.25565,534
330.2.0.0/1630.2.0.1 to 30.2.255.25430.2.255.25565,534
430.3.0.0/1630.3.0.1 to 30.3.255.25430.3.255.25565,534
530.4.0.0/1630.4.0.1 to 30.4.255.25430.4.255.25565,534
630.5.0.0/1630.5.0.1 to 30.5.255.25430.5.255.25565,534
730.6.0.0/1630.6.0.1 to 30.6.255.25430.6.255.25565,534
830.7.0.0/1630.7.0.1 to 30.7.255.25430.7.255.25565,534
930.8.0.0/1630.8.0.1 to 30.8.255.25430.8.255.25565,534
1030.9.0.0/1630.9.0.1 to 30.9.255.25430.9.255.25565,534
1130.10.0.0/1630.10.0.1 to 30.10.255.25430.10.255.25565,534
1230.11.0.0/1630.11.0.1 to 30.11.255.25430.11.255.25565,534
1330.12.0.0/1630.12.0.1 to 30.12.255.25430.12.255.25565,534
1430.13.0.0/1630.13.0.1 to 30.13.255.25430.13.255.25565,534
1530.14.0.0/1630.14.0.1 to 30.14.255.25430.14.255.25565,534
1630.15.0.0/1630.15.0.1 to 30.15.255.25430.15.255.25565,534
1730.16.0.0/1630.16.0.1 to 30.16.255.25430.16.255.25565,534
1830.17.0.0/1630.17.0.1 to 30.17.255.25430.17.255.25565,534
1930.18.0.0/1630.18.0.1 to 30.18.255.25430.18.255.25565,534
2030.19.0.0/1630.19.0.1 to 30.19.255.25430.19.255.25565,534
2130.20.0.0/1630.20.0.1 to 30.20.255.25430.20.255.25565,534
2230.21.0.0/1630.21.0.1 to 30.21.255.25430.21.255.25565,534
2330.22.0.0/1630.22.0.1 to 30.22.255.25430.22.255.25565,534
2430.23.0.0/1630.23.0.1 to 30.23.255.25430.23.255.25565,534
2530.24.0.0/1630.24.0.1 to 30.24.255.25430.24.255.25565,534
2630.25.0.0/1630.25.0.1 to 30.25.255.25430.25.255.25565,534
2730.26.0.0/1630.26.0.1 to 30.26.255.25430.26.255.25565,534
2830.27.0.0/1630.27.0.1 to 30.27.255.25430.27.255.25565,534
2930.28.0.0/1630.28.0.1 to 30.28.255.25430.28.255.25565,534
3030.29.0.0/1630.29.0.1 to 30.29.255.25430.29.255.25565,534
3130.30.0.0/1630.30.0.1 to 30.30.255.25430.30.255.25565,534
3230.31.0.0/1630.31.0.1 to 30.31.255.25430.31.255.25565,534
3330.32.0.0/1630.32.0.1 to 30.32.255.25430.32.255.25565,534
3430.33.0.0/1630.33.0.1 to 30.33.255.25430.33.255.25565,534
3530.34.0.0/1630.34.0.1 to 30.34.255.25430.34.255.25565,534
3630.35.0.0/1630.35.0.1 to 30.35.255.25430.35.255.25565,534
3730.36.0.0/1630.36.0.1 to 30.36.255.25430.36.255.25565,534
3830.37.0.0/1630.37.0.1 to 30.37.255.25430.37.255.25565,534
3930.38.0.0/1630.38.0.1 to 30.38.255.25430.38.255.25565,534
4030.39.0.0/1630.39.0.1 to 30.39.255.25430.39.255.25565,534
4130.40.0.0/1630.40.0.1 to 30.40.255.25430.40.255.25565,534
4230.41.0.0/1630.41.0.1 to 30.41.255.25430.41.255.25565,534
4330.42.0.0/1630.42.0.1 to 30.42.255.25430.42.255.25565,534
4430.43.0.0/1630.43.0.1 to 30.43.255.25430.43.255.25565,534
4530.44.0.0/1630.44.0.1 to 30.44.255.25430.44.255.25565,534
4630.45.0.0/1630.45.0.1 to 30.45.255.25430.45.255.25565,534
4730.46.0.0/1630.46.0.1 to 30.46.255.25430.46.255.25565,534
4830.47.0.0/1630.47.0.1 to 30.47.255.25430.47.255.25565,534
4930.48.0.0/1630.48.0.1 to 30.48.255.25430.48.255.25565,534
5030.49.0.0/1630.49.0.1 to 30.49.255.25430.49.255.25565,534
5130.50.0.0/1630.50.0.1 to 30.50.255.25430.50.255.25565,534
5230.51.0.0/1630.51.0.1 to 30.51.255.25430.51.255.25565,534
5330.52.0.0/1630.52.0.1 to 30.52.255.25430.52.255.25565,534
5430.53.0.0/1630.53.0.1 to 30.53.255.25430.53.255.25565,534
5530.54.0.0/1630.54.0.1 to 30.54.255.25430.54.255.25565,534
5630.55.0.0/1630.55.0.1 to 30.55.255.25430.55.255.25565,534
5730.56.0.0/1630.56.0.1 to 30.56.255.25430.56.255.25565,534
5830.57.0.0/1630.57.0.1 to 30.57.255.25430.57.255.25565,534
5930.58.0.0/1630.58.0.1 to 30.58.255.25430.58.255.25565,534
6030.59.0.0/1630.59.0.1 to 30.59.255.25430.59.255.25565,534
6130.60.0.0/1630.60.0.1 to 30.60.255.25430.60.255.25565,534
6230.61.0.0/1630.61.0.1 to 30.61.255.25430.61.255.25565,534
6330.62.0.0/1630.62.0.1 to 30.62.255.25430.62.255.25565,534
6430.63.0.0/1630.63.0.1 to 30.63.255.25430.63.255.25565,534
6530.64.0.0/1630.64.0.1 to 30.64.255.25430.64.255.25565,534
6630.65.0.0/1630.65.0.1 to 30.65.255.25430.65.255.25565,534
6730.66.0.0/1630.66.0.1 to 30.66.255.25430.66.255.25565,534
6830.67.0.0/1630.67.0.1 to 30.67.255.25430.67.255.25565,534
6930.68.0.0/1630.68.0.1 to 30.68.255.25430.68.255.25565,534
7030.69.0.0/1630.69.0.1 to 30.69.255.25430.69.255.25565,534
7130.70.0.0/1630.70.0.1 to 30.70.255.25430.70.255.25565,534
7230.71.0.0/1630.71.0.1 to 30.71.255.25430.71.255.25565,534
7330.72.0.0/1630.72.0.1 to 30.72.255.25430.72.255.25565,534
7430.73.0.0/1630.73.0.1 to 30.73.255.25430.73.255.25565,534
7530.74.0.0/1630.74.0.1 to 30.74.255.25430.74.255.25565,534
7630.75.0.0/1630.75.0.1 to 30.75.255.25430.75.255.25565,534
7730.76.0.0/1630.76.0.1 to 30.76.255.25430.76.255.25565,534
7830.77.0.0/1630.77.0.1 to 30.77.255.25430.77.255.25565,534
7930.78.0.0/1630.78.0.1 to 30.78.255.25430.78.255.25565,534
8030.79.0.0/1630.79.0.1 to 30.79.255.25430.79.255.25565,534
8130.80.0.0/1630.80.0.1 to 30.80.255.25430.80.255.25565,534
8230.81.0.0/1630.81.0.1 to 30.81.255.25430.81.255.25565,534
8330.82.0.0/1630.82.0.1 to 30.82.255.25430.82.255.25565,534
8430.83.0.0/1630.83.0.1 to 30.83.255.25430.83.255.25565,534
8530.84.0.0/1630.84.0.1 to 30.84.255.25430.84.255.25565,534
8630.85.0.0/1630.85.0.1 to 30.85.255.25430.85.255.25565,534
8730.86.0.0/1630.86.0.1 to 30.86.255.25430.86.255.25565,534
8830.87.0.0/1630.87.0.1 to 30.87.255.25430.87.255.25565,534
8930.88.0.0/1630.88.0.1 to 30.88.255.25430.88.255.25565,534
9030.89.0.0/1630.89.0.1 to 30.89.255.25430.89.255.25565,534
9130.90.0.0/1630.90.0.1 to 30.90.255.25430.90.255.25565,534
9230.91.0.0/1630.91.0.1 to 30.91.255.25430.91.255.25565,534
9330.92.0.0/1630.92.0.1 to 30.92.255.25430.92.255.25565,534
9430.93.0.0/1630.93.0.1 to 30.93.255.25430.93.255.25565,534
9530.94.0.0/1630.94.0.1 to 30.94.255.25430.94.255.25565,534
9630.95.0.0/1630.95.0.1 to 30.95.255.25430.95.255.25565,534
9730.96.0.0/1630.96.0.1 to 30.96.255.25430.96.255.25565,534
9830.97.0.0/1630.97.0.1 to 30.97.255.25430.97.255.25565,534
9930.98.0.0/1630.98.0.1 to 30.98.255.25430.98.255.25565,534
10030.99.0.0/1630.99.0.1 to 30.99.255.25430.99.255.25565,534
10130.100.0.0/1630.100.0.1 to 30.100.255.25430.100.255.25565,534
10230.101.0.0/1630.101.0.1 to 30.101.255.25430.101.255.25565,534
10330.102.0.0/1630.102.0.1 to 30.102.255.25430.102.255.25565,534
10430.103.0.0/1630.103.0.1 to 30.103.255.25430.103.255.25565,534
10530.104.0.0/1630.104.0.1 to 30.104.255.25430.104.255.25565,534
10630.105.0.0/1630.105.0.1 to 30.105.255.25430.105.255.25565,534
10730.106.0.0/1630.106.0.1 to 30.106.255.25430.106.255.25565,534
10830.107.0.0/1630.107.0.1 to 30.107.255.25430.107.255.25565,534
10930.108.0.0/1630.108.0.1 to 30.108.255.25430.108.255.25565,534
11030.109.0.0/1630.109.0.1 to 30.109.255.25430.109.255.25565,534
11130.110.0.0/1630.110.0.1 to 30.110.255.25430.110.255.25565,534
11230.111.0.0/1630.111.0.1 to 30.111.255.25430.111.255.25565,534
11330.112.0.0/1630.112.0.1 to 30.112.255.25430.112.255.25565,534
11430.113.0.0/1630.113.0.1 to 30.113.255.25430.113.255.25565,534
11530.114.0.0/1630.114.0.1 to 30.114.255.25430.114.255.25565,534
11630.115.0.0/1630.115.0.1 to 30.115.255.25430.115.255.25565,534
11730.116.0.0/1630.116.0.1 to 30.116.255.25430.116.255.25565,534
11830.117.0.0/1630.117.0.1 to 30.117.255.25430.117.255.25565,534
11930.118.0.0/1630.118.0.1 to 30.118.255.25430.118.255.25565,534
12030.119.0.0/1630.119.0.1 to 30.119.255.25430.119.255.25565,534
12130.120.0.0/1630.120.0.1 to 30.120.255.25430.120.255.25565,534
12230.121.0.0/1630.121.0.1 to 30.121.255.25430.121.255.25565,534
12330.122.0.0/1630.122.0.1 to 30.122.255.25430.122.255.25565,534
12430.123.0.0/1630.123.0.1 to 30.123.255.25430.123.255.25565,534
12530.124.0.0/1630.124.0.1 to 30.124.255.25430.124.255.25565,534
12630.125.0.0/1630.125.0.1 to 30.125.255.25430.125.255.25565,534
12730.126.0.0/1630.126.0.1 to 30.126.255.25430.126.255.25565,534
12830.127.0.0/1630.127.0.1 to 30.127.255.25430.127.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses